Tirex::Zoomrange(3pm)

NAME
Tirex::Zoomrange - Range of zoom levels

SYNOPSIS
my $zr = Tirex::Job->new($name, $min[, $max])

DESCRIPTION
Optionally named zoom level range.

METHODS

  Tirex::Zoomrange->new('foo', 4, 5)
Create new range. First argument is the name. Second and third argument the min and max zoom levels. If no max level is given, it is the same as min.

If the name is undef, it is set to 'zMIN-MAX' or 'zMIN' if MIN==MAX.

  $zr->get_name()
Get name.

  $zr->get_min()
Get minimum zoom level in this range.

  $zr->get_max()
Get maximum zoom level in this range.

  $zr->to_s()
Get range as string. Format "MIN-MAX" or "MIN" if MIN==MAX.

  $zr->get_id()
Get id. The id is a simplified version of the name that only contains the characters a-z, 0-9, and _.